Bug 1005731 - Removal of ISO Domain with 'format' option checked does not work as expected
Removal of ISO Domain with 'format' option checked does not work as expected
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
All Linux
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Sergey Gotliv
Pavel Stehlik
storage
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 05:43 EDT by Rejy M Cyriac
Modified: 2016-02-10 12:49 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-12 17:58:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rejy M Cyriac 2013-09-09 05:43:36 EDT
Description of problem:
When removing any Storage Domain from the 'Storage' tab with 'System' part of tree highlighted, there is a check box to select, to have the storage being removed to be formatted as well. Even when this check box is selected, when removing an ISO Domain, the contents of the ISO Domain are not being removed, while the ISO Domain is removed from the admin portal UI. It works as expected though, when removing an export domain.

Version-Release number of selected component (if applicable):
RHEVM IS13 build - rhevm-3.3.0-0.19.master.el6ev

How reproducible:


Steps to Reproduce:
1.Choose to remove ISO Domain
2.Select check box to format storage
3.Verify at storage end, whether contents have been removed.

Actual results:
Removal of ISO Domain with 'format' option checked, only removes the ISO Domain from the admin portal UI, but does not remove the contents at the storage end.

Expected results:
Removal of ISO Domain with 'format' option checked, must remove the ISO Domain from the admin portal UI, as well as remove the contents at the storage end.

Additional info:
Comment 1 Sergey Gotliv 2013-09-12 17:58:56 EDT
I failed to reproduce it on my environment, it works. Please, check it again and if its reproducible, reopen this bug and attach appropriate logs.

Note You need to log in before you can comment on or make changes to this bug.